> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all inventories

> List all inventories



## OpenAPI

````yaml https://openapi.commercengine.io/ce-pos.json get /pos/catalog/inventories
openapi: 3.1.0
info:
  title: CE POS APIs
  description: >-
    The consolidated Point of Sale surface. Every operation is served under the
    storefront base URL; operations tagged POSAdmin are proxied to the admin
    service by the POS backend.
  version: '1.0'
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security:
  - Authorization: []
tags:
  - name: POS
    description: Operations backed by the storefront service
  - name: POSAdmin
    description: Operations proxied to the admin service
paths:
  /pos/catalog/inventories:
    get:
      tags:
        - POSAdmin
      summary: List all inventories
      description: List all inventories
      operationId: pos-list-inventory
      parameters:
        - $ref: '#/components/parameters/dataView'
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - $ref: '#/components/parameters/sortByOptions'
        - $ref: '#/components/parameters/columnBasedFilters'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      inventories:
                        type: array
                        items:
                          oneOf:
                            - $ref: '#/components/schemas/ItemWiseInventory'
                            - $ref: '#/components/schemas/LotBatchWiseInventory'
                      pagination:
                        $ref: '#/components/schemas/AdminPagination'
                    type: object
      security:
        - Authorization: []
components:
  parameters:
    dataView:
      name: view
      in: query
      required: false
      schema:
        type: string
        enum:
          - warehouse
      description: view to be used to display the data
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
    sortByOptions:
      name: sort_by
      in: query
      required: false
      schema:
        description: >-
          json string in format {'field_name':'asc', 'other_field_name':'desc',
          ...}
        type: string
      description: 'JSON string format: {"field1":"asc", "field2":"desc"}'
    columnBasedFilters:
      name: filters
      in: query
      required: false
      schema:
        type: string
        example: >-
          {"condition":"AND","filters":[{"type":"data","field":"status","operator":"equals","value":"success"}]}
      description: JSON object
  schemas:
    ItemWiseInventory:
      title: ItemWiseInventory
      type: object
      properties:
        product_id:
          type: string
        product_name:
          type: string
        variant_id:
          type: string
        variant_name:
          type: string
        sku:
          type: string
        track_quantity:
          type: boolean
        allow_backorder:
          type: boolean
        track_lot_batch:
          type: boolean
        low_stock_threshold:
          type: number
          format: decimal
        received_quantity:
          type: number
          format: decimal
        reserved_quantity:
          type: number
          format: decimal
        sold_quantity:
          type: number
          format: decimal
        adjusted_quantity:
          type: number
          format: decimal
        stock_quantity:
          type: number
          format: decimal
        images:
          type: array
          items:
            $ref: '#/components/schemas/AdminProductImage'
    LotBatchWiseInventory:
      title: LotBatchWiseInventory
      allOf:
        - $ref: '#/components/schemas/ItemWiseInventory'
        - type: object
          properties:
            lot_batch:
              type: string
            mfg_date:
              type: string
              format: date
            exp_date:
              type: string
              format: date
            manufacturer:
              type: string
    AdminPagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
    AdminProductImage:
      title: ProductImage
      type: object
      properties:
        title:
          type:
            - string
            - 'null'
          maxLength: 128
        alternate_text:
          type:
            - string
            - 'null'
          maxLength: 128
        sort_order:
          type: integer
          format: int32
        url_tiny:
          type: string
          maxLength: 512
        url_thumbnail:
          type: string
          maxLength: 512
        url_standard:
          type: string
          maxLength: 512
        url_zoom:
          type: string
          maxLength: 512
        file_id:
          type: string
        file_type:
          enum:
            - image
      x-tags:
        - Catalog
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````